net.sf.jasperreports.charts.base

## Class JRBaseChartAxis

- java.lang.Object
- - net.sf.jasperreports.charts.base.JRBaseChartAxis

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChartAxis, JRCloneable
  Direct Known Subclasses:
    JRDesignChartAxis

      public class JRBaseChartAxis
      extends java.lang.Object
      implements JRChartAxis, java.io.Serializable

  Base read-only implementation of `JRChartAxis`.
  Version:
    $Id: JRBaseChartAxis.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (barry@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRChart` | `chart` The Chart object containing the dataset and plot to use with this axis.
    `protected AxisPositionEnum` | `positionValue` Where to position the axis.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseChartAxis()` Construct a new axis that will be added to the specified chart.
    `JRBaseChartAxis(JRChartAxis axis, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRChartAxis` | `clone(JRChart parentChart)`
    `JRChart` | `getChart()` Returns the chart that contains the dataset and plot to use for this axis.
    `AxisPositionEnum` | `getPositionValue()` Returns the position of this axis.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### positionValue

          protected AxisPositionEnum positionValue

      Where to position the axis.

    - #### chart

          protected JRChart chart

      The Chart object containing the dataset and plot to use with this axis.

  - ### Constructor Detail

    - #### JRBaseChartAxis

          public JRBaseChartAxis()

      Construct a new axis that will be added to the specified chart.

    - #### JRBaseChartAxis

          public JRBaseChartAxis(JRChartAxis axis,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getPositionValue

          public AxisPositionEnum getPositionValue()

      Returns the position of this axis.
      Specified by:
        `getPositionValue` in interface `JRChartAxis`
      Returns:
        the position of this axis

    - #### getChart

          public JRChart getChart()

      Returns the chart that contains the dataset and plot to use for this axis. The plot is used to figure out how to render the dataset when adding to the multiple axis chart.
      Specified by:
        `getChart` in interface `JRChartAxis`
      Returns:
        the chart that contains the dataset and plot for this axis

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### clone

          public JRChartAxis clone(JRChart parentChart)

      Specified by:
        `clone` in interface `JRChartAxis`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com